<?php
/*
 * Archive template file (Used for default archive view)
 * author: yosoftware.com
 * ver 1.0
 */
?>
<?php get_header(); ?>

<section id="content-header">
	<div class="container">
		<div class="row-fluid">
			<div class="span12">
				<hgroup class="content-title welcome">
					<h1><?php _e('You\'re viewing', 'YoPress'); ?></h1>
					<h2><?php
						if (is_day()) :
							printf(__('Daily Archives: %s', 'YoPress'), '<span>' . get_the_date() . '</span>');
						elseif (is_month()) :
							printf(__('Monthly Archives: %s', 'YoPress'), '<span>' . get_the_date(_x('F Y', 'monthly archives date format', 'YoPress')) . '</span>');
						elseif (is_year()) :
							printf(__('Yearly Archives: %s', 'YoPress'), '<span>' . get_the_date(_x('Y', 'yearly archives date format', 'YoPress')) . '</span>');
						else :
							_e('Blog Archives', 'YoPress');
						endif;
					?></h2>
				</hgroup>
			</div>
		</div>
	</div>
</section><!-- /content-header -->

<section id="content-container" class="container">
	<div class="row-fluid">
		<?php
		if (get_option('yolite_theme_sidebar_position') == 'right') :
			get_template_part('content','mainloop');
			get_sidebar();
		else :
			get_sidebar();
			get_template_part('content','mainloop');
		endif;
		?>
	</div>
</section><!-- content-container -->

<?php get_footer(); ?>