<?php 
	global $wpdb;
	
	if(!isset($wpdb)){
		require_once '../../../../wp-config.php';
		require_once '../../../../wp-includes/wp-db.php';
	}

	$month = $_POST['month'];
	$year = $_POST['year'];

	if($month < 10)
		$month = '0'.$month;

	 $querystr = "
		SELECT $wpdb->posts.* 
		FROM $wpdb->posts, $wpdb->postmeta
		WHERE $wpdb->posts.ID = $wpdb->postmeta.post_id 
		AND $wpdb->postmeta.meta_key = 'event_date_monthyear' 
		AND $wpdb->postmeta.meta_value = '$month/$year' 
		AND $wpdb->posts.post_status = 'publish' 
		AND $wpdb->posts.post_type = 'eventcalendar'
		ORDER BY $wpdb->posts.post_date DESC
	 ";

	$pageposts = $wpdb->get_results($querystr, OBJECT);

	global $pageposts;
	$events = array();
	
	foreach ($pageposts as $post) {
		setup_postdata($post);
		$custom = get_post_custom($post->ID);
		
		$img = get_the_post_thumbnail( $post->ID, 'event_thumb' );
		
		$post->post_content = preg_replace('/<img.*>/', '', $post->post_content);
		$permalink = get_permalink( $post->ID );
		
		$day = intval((string)$custom['event_date_day'][0]); 
		$events[$day] = '<div class="event-info"><ul class="what-when"><li><strong>'.$post->post_title.'</strong></li><li><p>'.$custom['event_date'][0].'</p></li><li><a href="'.$permalink.'">'.$img.'</a></li></ul><a href="'.$permalink.'" class="btn btn-small">View poster</a></div>';
	
	}

	echo json_encode($events);
?>