<?php

class yoliteAdmin extends yoliteWebView {

	public function adminMenu() {
		if (!current_user_can('manage_options')) {
			wp_die( __('You do not have sufficient permissions to access this page.', 'YoPress') );
		}

		if(isset($_POST['yolite'])) {
			$form = new YoliteFormModel();
			$form->attributes = $_POST['yolite'];
			$form->updateOptions();
			add_action('admin_head', array($this, 'addAlert'));
		}

		//add_menu_page('YoPress settings', 'YoPress settings', 'manage_options', 'yolite-settings', array($this, 'adminPage'));
		
		add_theme_page( 'YoPress settings', 'YoPress settings', 'manage_options', 'yolite-settings', array($this, 'adminPage') );
		
		/* thumbs */
//		if(isset($_POST['yolite']['yolite_thumb_regenerate'])){
//			$thumbnalizer = new YoliteThumbnalizer();
//			$thumbnalizer->regenarate();
//		}
//		
//		if( !get_option('yolite_theme_thumbnail_ready') && !get_option('yolite_theme_show_thumb_warning') ){
//			//add_action( 'admin_notices', array($this, 'warning_method') );
//		}


	}

	function warning_method()
	{
	   echo '<div class="update-nag" style="margin-top:40px; text-align:left; padding-left:20px" >This theme needs some custom size thumbnails, regenerate them? This may tak a while. <a href="#" id="yolite_admin_regenarate_thumbnails">YES</a>, <a href="#" id="yolite_admin_close_warning">NO</a><span style="float:right; padding-right:20px"><a href="#" id="yolite_admin_disable_thumbnail_warning">I will do this manually from YoPress</a></span></div>';
	}

	function addAlert() {
		wp_enqueue_script('yolite_admin_alert_script',
			get_template_directory_uri().'/framework/admin/js/yoliteAdminAlert.js',
			array('jquery')
		);
	}

	public function adminPage() {
		$form = new YoliteFormModel;

		$img_sizes = array();
		$image_link = array('full' => 'full', 'attachment' => 'Attachment');

		$form = new YoliteFormModel;
		$this->render('admin/views/adminPage', array('form'=>$form, 'image_sizes' => $img_sizes, 'image_links' => $image_link));

		wp_enqueue_script('yolite_admin_script',
			get_template_directory_uri().'/framework/admin/js/yoliteAdmin.js',
			array( 'jquery' )
		);

		 wp_register_style('orange_admin_style',
			get_template_directory_uri() . '/framework/admin/css/orange_admin.css', 
			array(),
			'',
			''
		);

		wp_enqueue_style('orange_admin_style');
	}
}
?>
