<?php
/*
 * Core template file (Used for default blog view and loaded when no template is found)
 * author: yosoftware.com
 * ver 1.0
 */
?>
<?php get_header(); ?>

<section id="content-header">
	<div class="container">
		<div class="row-fluid">
			<div class="span12">
				<hgroup class="content-title welcome">
					<?php
					if (is_front_page()) {
						echo '<h1>' . get_bloginfo('name') . '</h1>';
						echo '<h2>' . get_bloginfo('description');
					} else if (is_single()) {
						echo '<h1>';
						wp_title();
						echo '</h1>';
					}
					?>
				</hgroup>
			</div>
		</div>
	</div>
</section><!-- /content-header -->

<section id="content-container" class="container">
	<div class="row-fluid">
		<?php
		if (get_option('yolite_theme_sidebar_position') == 'right') :
			get_template_part('content','mainloop');
			get_sidebar();
		else :
			get_sidebar();
			get_template_part('content','mainloop');
		endif;
		?>
	</div>
</section><!-- content-container -->

<?php get_footer(); ?>