<?php
/*
 * Attachment template file (Used for default attachment view)
 * For galleries, can be overwritten if lightbox is set in AdminPanel
 * author: yosoftware.com
 * ver 1.0
 */
?>
<?php get_header(); ?>

<section id="content-header">
	<div class="container">
		<div class="row-fluid">
			<div class="span12">
				<hgroup class="content-title welcome">
					<?php
					echo '<h1>' . get_bloginfo('name') . '</h1>';
					echo '<h2>' . get_bloginfo('description');
					?>
				</hgroup>
			</div>
		</div>
	</div>
</section><!-- /content-header -->

<section id="content-container" class="container">
	<div class="row-fluid">
		<?php
		if (get_option('yolite_theme_sidebar_position') == 'right') :
			get_template_part('content','attachmentloop');
			get_sidebar();
		else :
			get_sidebar();
			get_template_part('content','attachmentloop');
		endif;
		?>
	</div>
</section><!-- content-container -->

<?php get_footer(); ?>