<?php
/*
 * Comment Form
 */
?>
					<form id="commentform" action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post">

						<?php if (is_user_logged_in()) : ?>

							<p><?php _e('Logged in as', 'YoPress'); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="Log out of this account"><?php _e('Log out &raquo;', 'YoPress'); ?></a></p>

							<p class="comment-form-comment">
								<textarea name="comment" cols="45" rows="6" tabindex="8" class="textarea-comment"></textarea>
							</p>

							<div id="comment-submit">
								<p><div class=""><input name="submit" type="submit" id="submit" class="btn btn-medium" tabindex="5" value="<?php _e('Post Comment', 'YoPress'); ?>" class="comment-submit  small button green" /></div></p>
								<?php comment_id_fields(); ?>
								<?php do_action('comment_form', $post->ID); ?>
							</div>

						<?php else : ?>

							<div id="comment-input">
								<p class="comment-form-author">
									<input type="text" name="author" id="author" size="30" tabindex="1" <?php if ($req) echo "aria-required='true'"; ?> class="required" />
									<label for="author"><?php _e('Name (required)', 'YoPress'); ?></label>
								</p>
								<p class="comment-form-email">
									<input type="text" name="email" id="email" size="30" tabindex="2" <?php if ($req) echo "aria-required='true'"; ?> class="required"  />
									<label for="email"><?php _e('Email (required)', 'YoPress'); ?></label>
								</p>
								<p class="comment-form-url">
									<input type="text" name="url" id="url" size="30" tabindex="3" class="input-website" />
									<label for="url"><?php _e('Website', 'YoPress'); ?></label>
								</p>
							</div>

							<div id="comment-textarea">
								<textarea name="comment" id="comment" cols="45" rows="6" tabindex="4" class="textarea-comment"><?php _e('Comment...', 'YoPress'); ?></textarea>
							</div>

							<div id="comment-submit">
								<p><div><input name="submit" type="submit" id="submit" class="btn btn-medium" tabindex="5" value="<?php _e('Post Comment', 'YoPress'); ?>" class="comment-submit small button green" /></div></p>
								<?php comment_id_fields(); ?>
								<?php do_action('comment_form', $post->ID); ?>
							</div>

						<?php endif; ?>

					</form>
