<?php
/*
 * Loop used to display  
 * contact-page loop
 */
?>

<section id="content" class="span12 blog posts">

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

		<article id="post-<?php the_ID(); ?>" <?php post_class('post single'); ?>>
			<div class="post-offset">
				<div class="row-fluid">
					<div class="span12">
						<h1><?php the_title(); ?></h1>
						<?php the_content(); ?>
						<?php YoliteBase::postOptions(); ?>
					</div>
				</div>
			</div>
		</article>

		<?php endwhile;
	else:
		?>

		<h3 class="noposts"><?php _e('Sorry, no posts matched your criteria.', 'YoPress'); ?></h3>

<?php endif; ?>

	<div class="clearfix"></div>

	<section id="pagination">
		<?php
		$paged = $wp_query->get('page');
		if (!$paged || $paged < 2) {
		// This is not a paginated page (or it's simply the first page of a paginated page/post)
		} else {
			// This is a paginated page.
			if (function_exists('wp_paginate')) {
				wp_paginate();
			} else {
				wp_link_pages();
			}
		}
		?>
	</section>
</section><!-- /content -->
