<div class="wrap custom-wrap">
	<!--<div id="icon-options-general" class="icon32"><br></div><h2>Theme Settings</h2>-->
	<div id="welcome-panel" class="welcome-panel">
		<div class="welcome-panel-content">
			<h3>Welcome to the OrangeWP theme management panel!</h3>
			<p class="welcome-text"><span class="theme-highlight"><img src="<?php echo get_template_directory_uri(); ?>/screenshot.png" alt=""/></span>
				Thank you for purchasing our theme! Here you can customize the feel and look of your blog's template.
				Take your time to set up widgets properly and also don't forget to change site's logo to yours.</p>
			<p class="welcome-text">We also give you the ability to mess around with colors to give your site that personalised look.
				For your better user experience, we've provided the most neccessary links below.<img src="http://geekpics.net/images/2013/09/18/sBRAuO.jpg"></p>
			<p class="welcome-text">
				<a class="button button-primary button hide-if-customize" href="<?php echo home_url(); ?>/wp-admin/customize.php">Customize Appereance</a>
				<a class="button button-primary button hide-if-customize" href="<?php echo home_url(); ?>/wp-admin/widgets.php">Manage Widgets</a>
				<a class="button button-primary button hide-if-customize" href="<?php echo home_url(); ?>/wp-admin/nav-menus.php">Manage Menu</a>
			</p>
		</div>
	</div>
</div>

<div class="wrap custom-wrap nav-tab-admin">
	<div id="icon-themes" class="icon32"><br></div>
	<h2 class="nav-tab-wrapper">
		<a href="#apperance" class="nav-tab nav-tab-active" id="apperance">Appearance</a>
		<a href="#slider" class="nav-tab" id="slider">Slider</a>
		<a href="#settings" class="nav-tab" id="settings">Other</a>
		<a href="#banner" class="nav-tab" id="banner">Advertisements</a>
		<a href="#social" class="nav-tab" id="social">Social</a>
		<!--<a href="#thumbs" class="nav-tab" id="thumbs">Thumbs</a>-->
	</h2>

	<!--APPERNCE--> 
	<div id="apperance-tab" class="admin-tab custm-tab">

		<form method="post" action="">
			<?php wp_nonce_field() ?>

			<table class="form-table">
				<tbody>
					<tr valign="top">
						<td colspan="2">
							<h2>General settings</h2>
							<p class="desc-text">Select some basic theme options such as sidebar placement, default gallery linking and post excerpt length that's viewed on the front-page and searchresults, categories.</p>
						</td>
					</tr>

					<tr valign="top">
						<th scope="row"><label for="sidebar_side">Sidebar</label></th>
						<td>
							<select name="<?php echo $form->fieldName('yolite_theme_sidebar_position'); ?>" id="sidebar_side">
								<?php
								$form->listOptions('yolite_theme_sidebar_position', array(
									'left' => 'left',
									'right' => 'right'
									)
								);
								?>
							</select>
						</td>
					</tr>

					<tr valign="top">
						<th scope="row"><label for="gallery_role">Gallery image links to</label></th>
						<td>
							<select name="<?php echo $form->fieldName('yolite_theme_gallery_link'); ?>" id="gallery_role">
								<?php
								$form->listOptions('yolite_theme_gallery_link', $image_links
								);
								?>
							</select>
						</td>
					</tr>

					<tr valign="top">
						<td>
							<label for="excerpt_length">Post excerpt length (characters)</label>
						</td>
						<td>
							<input id="excerpt_length" type="text" name="<?php echo $form->fieldName('yolite_theme_post_excerpt_length'); ?>" value="<?php echo $form->fieldValue('yolite_theme_post_excerpt_length'); ?>" />

						</td>
					</tr>

					<tr>
						<td colspan="2">
							<hr/>
						</td>
					</tr>

					<tr valign="top">
						<td colspan="2">
							<h2>Favicon</h2>
							<p class="desc-text">In this section you can set favicon for your page</p>
						</td>
					</tr>

					<tr valign="top">
						<td>
							<label for="facebook_share">Favicon</label>

						</td>
						<td>
							<?php
							$upload2 = new YoliteUploader;
							$upload2->uploadForm($form->fieldName('yolite_favicon'), $form->fieldValue('yolite_favicon'));
							?>
						</td>
					</tr>

					<tr valign="top">
						<td>
						</td>
						<td>
							<div class="welcome-panel panel-custom">
								<img src="<?php echo $form->fieldValue('yolite_favicon'); ?>" id="image_upload_preview_<?php echo YoliteUploader::$instanceId; ?>"/>
							</div>
						</td>
					</tr>

					<tr>
						<td colspan="2">
							<hr>
						</td>
					</tr>

					<tr valign="top">
						<td colspan="2">
							<h2>Fonts</h2>
							<p class="desc-text">We've prepared for you an option to embed webfonts with extended latin characters. 
								By default, they are turned off to save bandwidth (and shorten page loading times).</p>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><label for="yolite_font_extended">Enable extended latin letters in webfonts</label></th>
						<td>
							<input name="<?php echo $form->fieldName('yolite_font_extended'); ?>"  type="hidden" value="0"/>
							<input name="<?php echo $form->fieldName('yolite_font_extended'); ?>" id="yolite_font_extended" type="checkbox" <?php if ($form->fieldValue('yolite_font_extended') == 1) echo 'checked="checked"'; ?> value="1"/>
						</td>
					</tr>

					<tr valign="top">
						<td colspan="2">
							<p class="submit"><input type="submit" name="submit" id="submit" class="button button-primary" value="Save Changes"></p>
						</td>
					</tr>
				</tbody>
			</table>
		</form>
	</div>

	<!--SETTINGS--> 
	<div id="settings-tab" class="admin-tab custm-tab">
		<form method="post" action="">
			<?php wp_nonce_field() ?>

			<table class="form-table">
				<tbody>
					<tr valign="top">
						<td colspan="2">
							<h2>Embed additional scripts</h2>
							<p class="desc-text">In this section you can embed some additional code that will attached to the end of the html tags.
								For example, you can paste your <strong>Google Analytics tracker code</strong> here.</p>
						</td>
					</tr>
					<tr valign="top">
						<td colspan="2">
							<textarea name="<?php echo $form->fieldName('yolite_theme_google_analytics'); ?>" id="analytics_code"><?php echo $form->fieldValue('yolite_theme_google_analytics') ?></textarea>
						</td>
					</tr>

					<tr valign="top">
						<td colspan="2">
							<hr>
						</td>
					</tr>
					
					<tr valign="top">
						<td colspan="2">
							<h2>Hide WP Version</h2>
							<p class="desc-text">Hiding generator meta-tag prevents some spambots searching for older WordPress versions.</p>
						</td>
					</tr>

					<tr valign="top">
						<th scope="row"><label for="yolite_remove_wp_version">Hide WordPress version</label></th>
						<td>
							<input name="<?php echo $form->fieldName('yolite_remove_wp_version'); ?>"  type="hidden" value="0"/>
							<input name="<?php echo $form->fieldName('yolite_remove_wp_version'); ?>" id="yolite_remove_wp_version" type="checkbox" <?php if ($form->fieldValue('yolite_remove_wp_version') == 1) echo 'checked="checked"'; ?> value="1"/>
						</td>
					</tr>
				 
					<tr valign="top">
						<td colspan="2">
							<p class="submit"><input type="submit" name="submit" id="submit" class="button button-primary" value="Save Changes"></p>
						</td>
					</tr>

				</tbody>
			</table>
		</form>
	</div>

	<div id="slider-tab" class="admin-tab custm-tab">
		<form method="post" action="">
			<?php wp_nonce_field() ?>
			<table class="form-table">
				<tbody>
					<tr valign="top">
						<td colspan="2">
							<h2>Slider settings</h2>
							<p class="desc-text">Here you can set up the desired slider and decide which posts will be shown. You can also prevent slider from showing anywhere except the front-page.</p>
						</td>
					</tr>

					<tr valign="top">
						<th scope="row"><label for="slider-type">Choose slider script</label></th>
						<td>
							<select id="slider-type" name="<?php echo $form->fieldName('yolite_theme_slider'); ?>" id="default_role">
								<?php
								$form->listOptions('yolite_theme_slider', array(
									'none' => 'none',
									'flexslider' => 'Flexslider',
									'nivo' => 'Nivo',
										)
								);
								?>
							</select>
						</td>
					</tr>

					<tr valign="top">
						<th scope="row">
							<label for="yolite_theme_slider_cat_id">Display posts from category</label>
						</th>
						<td>
							<?php YoliteBase::categorySelect('yolite[yolite_theme_slider_cat]', get_option('yolite_theme_slider_cat'), array('id' => 'yolite_theme_slider_cat_id')); ?>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><label for="slider_display_front">Display slider only on the front-page?</label></th>
						<td>
							<input name="<?php echo $form->fieldName('yolite_slider_display_front'); ?>"  type="hidden" value="0"/>
							<input name="<?php echo $form->fieldName('yolite_slider_display_front'); ?>" id="slider_display_front" type="checkbox" <?php if ($form->fieldValue('yolite_slider_display_front') == 1) echo 'checked="checked"'; ?> value="1"/>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><label for="number-of-slides">Number of slides?</label></th>
						<td>
							<input type="text" name="<?php echo $form->fieldName('yolite_slider_numposts'); ?>"  id="number-of-slides" value="<?php echo $form->fieldValue('yolite_slider_numposts', '5'); ?>"/>

						</td>
					</tr>
					
					<tr valign="top">
						<td colspan="2">
							<p class="submit"><input type="submit" name="submit" id="submit" class="button button-primary" value="Save Changes"></p>
						</td>
					</tr>
					
				</tbody>
			</table>
		</form>
	</div>

	<!--BANNER--> 
	<div id="banner-tab" class="admin-tab custm-tab">
		<form method="post" action="">
			<?php wp_nonce_field() ?>

			<table class="form-table">
				<tbody>
					<tr valign="top">
						<td colspan="2">
							<h2>Banner display settings</h2>
							<p class="desc-text">Decide on which subpages the banner will be shown.</p>
						</td>
					</tr>
					<tr valign="top">
						<td>
							<label for="yolite_banner_display_front">Front page</label>
						</td>
						<td>
							<input type="hidden" value="0" name="<?php echo $form->fieldName('yolite_banner_display_front'); ?>"/>
							<input id="yolite_banner_display_front" type="checkbox" name="<?php echo $form->fieldName('yolite_banner_display_front'); ?>" <?php if ($form->fieldValue('yolite_banner_display_front') == 1) echo 'checked="checked"'; ?> value="1"/>
						</td>
					</tr>
					<tr valign="top">
						<td>
							<label for="yolite_banner_display_search">Search</label>
						</td>
						<td>
							<input type="hidden" value="0" name="<?php echo $form->fieldName('yolite_banner_display_search'); ?>"/>
							<input id="yolite_banner_display_search" type="checkbox" name="<?php echo $form->fieldName('yolite_banner_display_search'); ?>" <?php if ($form->fieldValue('yolite_banner_display_search') == 1) echo 'checked="checked"'; ?> value="1"/>
						</td>
					</tr>
					<tr valign="top">
						<td>
							<label for="yolite_banner_display_single">Single</label>
						</td>
						<td>
							<input type="hidden" value="0" name="<?php echo $form->fieldName('yolite_banner_display_single'); ?>"/>
							<input id="yolite_banner_display_single" type="checkbox" name="<?php echo $form->fieldName('yolite_banner_display_single'); ?>" <?php if ($form->fieldValue('yolite_banner_display_single') == 1) echo 'checked="checked"'; ?> value="1"/>
						</td>
					</tr>
					<tr valign="top">
						<td>
							<label for="yolite_banner_display_blog">Blog</label>
						</td>
						<td>
							<input type="hidden" value="0" name="<?php echo $form->fieldName('yolite_banner_display_blog'); ?>"/>
							<input id="yolite_banner_display_blog" type="checkbox" name="<?php echo $form->fieldName('yolite_banner_display_blog'); ?>" <?php if ($form->fieldValue('yolite_banner_display_blog') == 1) echo 'checked="checked"'; ?> value="1"/>
						</td>
					</tr>
					<tr>
						<td colspan="2">
							<hr/>
						</td>
					</tr>
					<tr valign="top">
						<td colspan="2">
							<h2>Upload banner / banner attributes<br>
							THEME SHARED ON WPLOCKER.COM - </h2>
							<p class="desc-text">Upload your banner using the uploader or specify the file's path in the input below. Set the banner's desired target link and additional title.</p>
						</td>
					<tr valign="top">
						<td>
							<label for="banner-link">Link</label>
						</td>
						<td>
							<input type="text" id="banner-link" name="<?php echo $form->fieldName('yolite_banner_link'); ?>" value="<?php echo $form->fieldValue('yolite_banner_link'); ?>"/>
						</td>
					</tr>
					<tr valign="top">
						<td>
							<label for="banner-title">Title</label>
						</td>
						<td>
							<input type="text" id="banner-title" name="<?php echo $form->fieldName('yolite_banner_title'); ?>" value="<?php echo $form->fieldValue('yolite_banner_title'); ?>"/>
						</td>
					</tr>

					<tr valign="top">
						<td>
							<label for="upload_image">Image parh</label>
						</td>
						<td>
							<?php
							$upload = new YoliteUploader;
							$upload->uploadForm($form->fieldName('yolite_banner_image'), $form->fieldValue('yolite_banner_image'));
							?>
						</td>
					</tr>
					<tr valign="top">
						<td></td>
						<td id="uploaded-image">
							<div class="welcome-panel panel-custom">
								<img id="image_upload_preview_<?php echo YoliteUploader::$instanceId; ?>" src="<?php echo $form->fieldValue('yolite_banner_image'); ?>"/>
							</div>
						</td>
					</tr>
					<tr valign="top">
						<td colspan="2">
							<p class="submit"><input type="submit" name="submit" id="submit" class="button button-primary" value="Save Changes"></p>
						</td>
					</tr>
				</tbody>
			</table>
		</form>
	</div>

	<!--SOCIAL--> 
	<div id="social-tab" class="admin-tab custm-tab">
		<form method="post" action="">
			<?php wp_nonce_field() ?>

			<table class="form-table">
				<tbody>

					 <tr valign="top">
						<td colspan="2">
							<h2>Post Settings</h2>
							<p class="desc-text">In this section you can turn on/off post sharing options. If none of them will be selected, then the bar will dissapear on single pages and single post (full).</p>
						</td>
					</tr>

					<tr valign="top">
						<td>
							<label for="facebook_share">Facebook share</label>
						</td>
						<td>
							<input name="<?php echo $form->fieldName('yolite_theme_post_share_facebook'); ?>" value="0" type="hidden"/>
							<input id="facebook_share" name="<?php echo $form->fieldName('yolite_theme_post_share_facebook'); ?>" <?php if ($form->fieldValue('yolite_theme_post_share_facebook') == 1) echo 'checked="checked"'; ?>  type="checkbox" value="1"/>
						</td>
					</tr>
					
					<tr valign="top">
						<td>
							<label for="twitter_share">Twitter tweet</label>

						</td>
						<td>
							<input name="<?php echo $form->fieldName('yolite_theme_post_share_twitter'); ?>" value="0" type="hidden"/>
							<input id="twitter_share" name="<?php echo $form->fieldName('yolite_theme_post_share_twitter'); ?>" <?php if ($form->fieldValue('yolite_theme_post_share_twitter') == 1) echo 'checked="checked"'; ?>  type="checkbox" value="1"/>
						</td>
					</tr>

					<tr valign="top">
						<td>
							<label for="twitter_share">Google+ share</label>
						</td>
						<td>
							<input name="<?php echo $form->fieldName('yolite_theme_post_share_googleplus'); ?>" value="0" type="hidden"/>
							<input id="twitter_share" name="<?php echo $form->fieldName('yolite_theme_post_share_googleplus'); ?>" <?php if ($form->fieldValue('yolite_theme_post_share_googleplus') == 1) echo 'checked="checked"'; ?>  type="checkbox" value="1"/>
						</td>
					</tr>
					
					<tr valign="top">
						<td colspan="2">
							<hr>
						</td>
					</tr>

					<tr valign="top">
						<td colspan="2">
							<h2>OpenGraph Tags</h2>
							<p class="desc-text">Some OG tags for better user experience while posting links on Facebook<br/>
                            <strong>Tags allowed: </strong><i>%post_title%, %blog_name%, %permalink%</i></p>
						</td>
					</tr>

					<tr valign="top">
						<td>
							<label for="yolite_theme_og_title">title</label>
						</td>
						<td>
							<input type="text" id="yolite_theme_og_title" name="<?php echo $form->fieldName('yolite_theme_og_title'); ?>" value="<?php echo $form->fieldValue('yolite_theme_og_title', '%post_title% | %blog_name%'); ?>"/>
						</td>
					</tr>
					<tr valign="top">
						<td>
						<label for="yolite_theme_og_url">url</label>
						</td>
						<td>
							<input type="text" if="yolite_theme_og_url" value="%permalink%" disabled/>
						</td>
					</tr>
					<tr valign="top">
						<td>
							<label for="yolite_theme_og_default_image">post default image</label>
						</td>
						<td>
							<?php
							$upload3 = new YoliteUploader;
							$upload3->uploadForm($form->fieldName('yolite_theme_og_default_image'), $form->fieldValue('yolite_theme_og_default_image'));
							?>
						</td>
					</tr>
					<tr valign="top">
						<td>
						  <label for="yolite_theme_og_post_image">post image</label>
						</td>
						<td>
							<input type="text" id="yolite_theme_og_post_image" value="%thumbnail%" disabled />
						</td>
					</tr>
					<tr valign="top">
						<td>
						   <label for="yolite_theme_og_app_id">fb app id</label>
						</td>
						<td>
							<input type="text" id="yolite_theme_og_app_id" name="<?php echo $form->fieldName('yolite_theme_og_app_id'); ?>" value="<?php echo $form->fieldValue('yolite_theme_og_app_id'); ?>"/>
						</td>
					</tr>
					<tr valign="top">
						<td>
						<label for="yolite_theme_og_admins">fb admins</label>
						</td>
						<td>
							<input type="text" id="yolite_theme_og_admins" name="<?php echo $form->fieldName('yolite_theme_og_admins'); ?>" value="<?php echo $form->fieldValue('yolite_theme_og_admins'); ?>"/>
						</td>
					</tr>

					<tr valign="top">
						<td>
							<p class="submit"><input type="submit" name="submit" id="submit" class="button button-primary" value="Save Changes"></p>
						</td>
					</tr>

			</tbody>
		</table>
	</form>
</div>

	
<!--	
		Thumbs 
	<div id="thumbs-tab" class="admin-tab custm-tab">
		<form method="post" action="">
			<?php wp_nonce_field() ?>

			<table class="form-table">
				<tbody>

					 <tr valign="top">
						<td colspan="2">
							<h2>Thumbs Settings</h2>
							<p class="desc-text">In this section you can turn on/off post sharing options. If none of them will be selected, then the bar will dissapear on single pages and single post (full).</p>
						</td>
					</tr>

					<tr valign="top">
						<td>
							<label for="facebook_share"></label>
						</td>
						<td>
							
						</td>
					</tr>


					
					<tr valign="top">
						<td>
							<p class="submit"><input type="submit" name="yolite_thumb_regenerate" id="submit" class="button button-primary" value="Regenerate"></p>
						</td>
					</tr>
			</tbody>
		</table>
	</form>
</div>-->