<?php
/*
 * Search template file (Used for default searchresults view)
 * Results can be altered by additional styling and adding a class 
 * to the span that's highlightened in SR.
 * author: yosoftware.com
 * ver 1.0
 */
?>
<?php get_header(); ?>

<section id="content-header">
	<div class="container">
		<div class="row-fluid">
			<div class="span12">
				<hgroup class="content-title welcome">
					<?php
					/* Search Count */
					$allsearch = &new WP_Query("s=$s&showposts=-1");
					$key = esc_html($s, 1);
					$count = $allsearch->post_count;
					wp_reset_query();
					echo '<h1>';
					_e('Search results for: ', 'YoPress');
					echo $key;
					echo '</h1>';

					echo '<h2>';
					_e('We\'ve found ', 'YoPress');
					echo $count;
					_e('posts', 'YoPress');
					echo '</h2>';
					?>
				</hgroup>
			</div>
		</div>
	</div>
</section><!-- /content-header -->

<section id="content-container" class="container">
	<div class="row-fluid">
		<?php
		if (get_option('yolite_theme_sidebar_position') == 'right') :
			get_template_part('content','searchloop');
			get_sidebar();
		else :
			get_sidebar();
			get_template_part('content','searchloop');
		endif;
		?>
	</div>
</section><!-- content-container -->

<?php get_footer(); ?>
