<?php

if( ( get_option('yolite_slider_display_front') == 1 && is_front_page() ) || get_option('yolite_slider_display_front') == 0) {

	$cat_id = get_option( 'yolite_theme_slider_cat' );

	$my_query = new WP_Query( array(
		'nopaging' => true,
		'fields' => 'ids',
		'cat' => $cat_id,
	));

	if ( $post_ids = $my_query->get_posts() ) {
		$post_ids = implode( ',', $post_ids );
		$atts_ids = $wpdb->get_col( "SELECT ID FROM $wpdb->posts WHERE post_parent IN($post_ids) AND post_type = 'attachment'" );

		$my_query->query( array(
			'posts_per_page' => -1,
			'post_status' => 'all',
			'post_type' => 'attachment',
			'post__in' => $atts_ids,
		));

		if(count($my_query->get_posts()) > 0) {
			if(get_option( 'yolite_theme_slider' ) == 'nivo') {
				get_template_part('sliders','nivo');
			} else if(get_option( 'yolite_theme_slider' ) == 'flexslider') {
				get_template_part('sliders','flex');
			} else {

			}
		}
	}
}

?>