<section id="slider">
	<div class="container">
		<div class="flex-container">
			<div class="flexslider">
				<ul class="slides">
					<?php
					$cat_id = get_option( 'yolite_theme_slider_cat' );
					$query = array('cat' => $cat_id);
					$queryObject = new WP_Query($query);

					$postCount = 0;
					$maxCount = get_option('yolite_slider_numposts');

					?>
					<?php if ($queryObject->have_posts()) : while ($queryObject->have_posts()) : $queryObject->the_post(); ?>
							<?php
							if (!has_post_thumbnail())
								continue;
							
							
							if($postCount >= $maxCount){
								break;
							}
							$postCount++;
							?>
							<li>
								<?php
								echo '<a href="'.get_permalink().'">';
								//echo get_the_post_thumbnail($post->ID, 'slider_image', array('title' => '#caption' . $post->ID));
								$imageSrc = wp_get_attachment_image_src(get_post_thumbnail_id(), 'slider_image');
								echo '<img src="'.$imageSrc[0].'"/>';
								echo '</a>';
								?>
								<div class="flex-caption">
									<div>
										<hgroup class="fancy-headers">

											<?php
											$words = explode(' ', get_the_title());
											$firstline = '';
											$secondline = '';
											foreach ($words as $nextWord) {
												if (strlen($firstline) + strlen($nextWord) < 24) {
													$firstline .=' ' . array_shift($words);
												}
											}

											foreach ($words as $word) {
												$secondline .= ' ' . $word;
											}
											?>

											<h1><?php echo $firstline; ?></h1>
											<h2><?php echo $secondline; ?></h2>
										</hgroup>
										<p>
											<?php
											$exp = get_the_excerpt();
											echo mb_substr($exp, 0, 190);
											if (strlen($exp) > 190)
												echo '...';
											?>
										</p>
									</div>
								</div>
							</li>
					<?php endwhile; ?>
					<?php endif; wp_reset_postdata() ?>
				</ul>
			</div>
		</div>
		<!-- End Flexslider Basic Markup -->
	</div>
</section><!-- /slider -->
