<section id="slider">
	<div class="container">
		<div class="slider-wrapper theme-default">
			<div id="nivoslider" class="nivoSlider">
				<?php
				$cat_id = get_option( 'yolite_theme_slider_cat' );
				$query = array('cat' => $cat_id);
				$queryObject = new WP_Query($query);
				$postCount = 0;
				$maxCount = get_option('yolite_slider_numposts');
				if ($queryObject->have_posts()) : while ($queryObject->have_posts()) : $queryObject->the_post();

						if (!has_post_thumbnail())
							continue;

						echo '<a href="'.get_permalink().'">';

						$imageSrc = wp_get_attachment_image_src(get_post_thumbnail_id(), 'slider_image');
						echo '<img src="'.$imageSrc[0].'" title="#caption' . $post->ID.'"/>';
						echo '</a>';

						
						if($postCount >= $maxCount){
							break;
						}
						$postCount++;
				endwhile;
				endif;
				?>

			</div>

			<?php 
				$queryObject->rewind_posts();
				$postCount = 0;
			?>
			
			<?php if ($queryObject->have_posts()) : while ($queryObject->have_posts()) : $queryObject->the_post(); ?>
					<?php
					$args = array('post_type' => 'attachment', 'numberposts' => -1, 'post_status' => null, 'orderby' => 'rand', 'post_parent' => $post->ID);
					$attachments = get_posts($args);
					if (count($attachments) == 0)
						continue;

					$postCount++;
					if($postCount >= $maxCount){
							break;
						}
					?>
					<div id="caption<?php echo $post->ID; ?>" class="nivo-html-caption">
						<div>
							<hgroup class="fancy-headers">
								<?php
								$words = explode(' ', get_the_title());
								$firstline = '';
								$secondline = '';
								foreach ($words as $nextWord) {
									if (strlen($firstline) + strlen($nextWord) < 24) {
										$firstline .=' ' . array_shift($words);
									}
								}

								foreach ($words as $word) {
									$secondline .= ' ' . $word;
								}
								?>
								<h1><?php echo $firstline; ?></h1>
								<h2><?php echo $secondline; ?></h2>
							</hgroup>
							<p><?php
								$exp = get_the_excerpt();
								echo mb_substr($exp, 0, 190);
								if (strlen($exp) > 190)
									echo '...';
								?></p>
						</div>
					</div>

	<?php endwhile; ?>
	<?php endif; wp_reset_postdata() ?>
		</div>
	</div>
</section><!-- /slider -->
